Update Service Plan Definition

Update Service Plan Definition
Update a service plan definition

This endpoint updates the plan definition for a specific service plan. The entire definition is replaced with the provided values. After updating the definition, a catalog sync is triggered to ensure the service plan metadata is up to date. This endpoint requires admin privileges.

Note: The created_at and resource_version fields are read-only and managed by the broker.

Request
URI
PATCH
https://api.example.local/v3/service_plans/{guid}/definition
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Request Body

Request body for updating a service plan definition

ServicePlanDefinitionUpdateRequestBody of type(s) application/json
Optional

Show optional properties

{
    "definition": {
        "plan_id": "string",
        "name": "string",
        "description": "string"
    }
}
{
    "definition": {
        "plan_id": "custom-plan-id-123",
        "name": "my-updated-plan",
        "description": "An updated custom service plan",
        "properties": {
            "cpu": "8",
            "memory": "16GB",
            "storage": "200GB"
        },
        "metadata": {
            "display_name": "Updated Custom Plan",
            "tier": "enterprise"
        }
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServicePlanDefinition of type(s) application/json
{
    "guid": "string",
    "definition": {
        "plan_id": "string",
        "name": "string",
        "description": "string",
        "properties": {},
        "metadata": {},
        "created_at": "string",
        "resource_version": "string"
    },
    "relationships": {
        "service_plan": {
            "data": {
                "guid": "string"
            }
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "service_plan": {
            "href": "string",
            "method": "string"
        }
    }
}
string As uuid As uuid
guid
Optional

Unique identifier for the service plan

object
definition
Optional

The plan definition configuration. Null if the plan has no definition.

object
relationships
Optional

relationships

object
links
Optional

links


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


409

Conflict

Returns Conflict of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


422

Unprocessable Entity

Returns UnprocessableEntity of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"definition":"object"}'